Skip to main content
`Ctrl`+`K`

# KSPRegisterAll

Registers all of the Krylov subspace methods in the `KSP` package.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPRegisterAll(void)

Not Collective

## See Also

KSP: Linear System Solvers, `KSP`, `KSPRegister()`, `KSPType`

## Level

advanced

## Location

src/ksp/ksp/interface/itregis.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages